package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 商品信息(其他表关联的物料信息)
 */
@Entity
@Table(name = "PRODUCTS")
public class ProductSimpleInfo {

	@Id
	@Column(name = "pr_id")
	private Long id;

	/**
	 * 商品信息标题
	 */
	@Column(name = "pr_title")
	private String title;

	/**
	 * 产品编号
	 */
	@Column(name = "pr_code")
	private String code;

	/**
	 * 产品规格
	 */
	@Column(name = "pr_spec")
	private String spec;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	@Override
	public String toString() {
		return "ProductSimpleInfo [title=" + title + ", code=" + code + ", spec=" + spec + "]";
	}

}